I've been working on trying to make this once-a-circle curve cleanly shaven off to the edge of the green box it's on top of, but instead I always end up with the result you see below:
So, is there any way I can crop it off right to the edge rather than actually just getting shorter whenever I try to get rid of the bit hanging off there?
I am working my way through both Martin Evenings "PSCS for Photographers" and Barbara Obermeiers "PSCS for Dummies" (thats me I think) and I'm really struggling to understand curved paths.Does anyone know of a site that explains them in very basic terms i.e. kids stuff?.
As I understand it when I drag from a straight segment to create a new path for a curve and release the mouse and I should get an anchor point and one direction line and one direction point,but all I seem to get is what appears to be a tiny plus sign at the end of the line.
I want to join two paths to create a shape that I can fill but at the same time retain one of the original paths (the red one in the image below). I can copy the path I want to retain but surely there is a more elegant solution. See below for for an illustration:
When defining new LISP function with .NET, I think it's necessary to first check for the argument validity (number and type) and I am convinced the evaluation must stop in case of invalid inputs (as the built-in LISP function work).
For this, I use some classes which inherit from System.Exception:
using Autodesk.AutoCAD.DatabaseServices;using Autodesk.AutoCAD.Runtime;namespace LispFunctionSample{ /// <summary> /// Base exception type for LISP exceptions. /// </summary> class LispException : System.Exception { /// <summary> /// Creates a new instance of LispException. /// </summary> /// <param name="msg">The message to be displayed when LispException is thrown.
[Code] ........
These exceptions may be thrown from the LispFunction code, catched to display a message and re-raised to stop the LISP evaluation.
Example: [LispFunction("acos")] public double Acos(ResultBuffer resbuf) { try { if (resbuf == null) throw new TooFewArgsException(); TypedValue[] args = resbuf.AsArray(); if (args.Length > 1) throw new TooManyArgsException(); int code = args[0].TypeCode; if (code != (int)LispDataType.Int16 &&
[Code] ........
This works quite fine except the message in the command line is followed by an eInvalidAdsName stack trace and, in the Visual LISP console, the message is: "; error: ADS request error".
So, is there a way to avoid the eInvalidAdsName stack trace in the command line and have the thrown exception message in the Visual LISP console so that it mimics closer the built-in functions?
I have downloaded an eps file, which I need to cut. I use a graphtec ce5000-60 cutter, and a plugin called cutting master 2 in order to use coreldraw.
when i select application launcher and choose cut / plot, it opens cutting master. when i do this, it only shows the 2 outer lines of the logo i need to cut. I have attached a screenshot so you can see exactly what I mean. I have tried lots of things to recitfy this, but as a complete beginner with this software, I really dont have a clue.
Is there a way to cut a solid into two pieces using a non-planar cutting plane? I have been tasked with calculating the volume of concrete damage in a chute block. I have a sketch of the damage on the chute block. I created the chute block as a solid and then drew the damaged area extents using plines. This created non-planar plines. Is there a way to get this to work that will allow me to see the volume of the concrete damage? I need an easy way to do this, there are 50 chute blocks all the same size but with varying degrees of damage
As you'll see in the attached image, the red path goes past the black shape. Is there a way to change the path so that it lines up perfectly with the edge...meaning it's a perfect clean intersect, not just the lower right end of the path lining-up at the edge, but the top right too.
i have a vector that i want to apply an image to. So i dropped the image into illustrator, and made a clipping mask, but if i go to save it, or print it, it tries to print space where the image is, even though it's only inside the vector outline. Kind of confusing with the wording, see pics, but I just want the vector to cut out of the image, and get rid of the rest of the image.
Is it possible to cut or erase part of a gradient stroke? The attached image shows a. the stroke I need to cut and b. the stroke as I would like it to appear - (at the moment I have just covered it(b) with white fill. I have tried Expanding, Outlining path and Flattening, but with no luck.
I use Illustrator CS6, I used the pen tool to create an elipsoid "shape" by creating a path and giving it stroke and fill, I made a second one ot top of the first, now the second one covers the first at about mid level and I want to cut the top part of the first shape/path, that is showing, off.
I have tried with various methods but with strange results.
I'm New to illustrator. I would like these bricks to get small as they go to the right. When I reshape them it cuts the bricks instead of resizing. How to get this effect of the bricks getting smaller.
How to create a flow arrow label for a feature line that parallels the curve?
I've a vague notion that this could be done with a dynamic block and a few fancy expressions. I'm comfortable with expressions, but I've never used dynamic blocks at all, so I wouldn't know where to start.
To be clear, I know curved text is possible, but I'm looking for a curved line (ie an arc) that would look 'parallel' to the arc of the feature line (ie have the same centre point). This would have to be dynamic to allow for different radii and for flipping to the left and right side of the feature line.
Having a time getting ribs to align 2m below top of ridge beam, and connect to curved wall below. I created one, then arrayed, but the radius changes at each 2.5 degree interval. I don't think I should have to calculate the % radius change to get the beams to do this. Some constraint button maybe?
Not sure if editing a wall profile is the best way to model this, but it's working.
I want to extrude a big number of pillars to a rather complicated surface and that works out fine. But each end of the pillars warps around the surface and I want them just to go up to it and stop with a resulting horizontal face.
I need to save from Illustrator in .dwg format, for laser cutting. However the scale shown in Illustrator is not the same scale in the .dwg when they look at it at the laser cutting firm.
btw when I export in .dwg format the setting for scale is set at 1 centimeter = 1 unit. I don't know what they mean by unit however.
Cs6 here.... I am trying to cut out a simple shape to allow the area under the shape to be trasnparent or Alpha. Like a Mask. Except when I use the Mask it does at it should do and mask the area where the shape is and MASKING or removing the areas not under the mask. I tried Compound path but I am not getting any result from it. My shape stays right on top of my work and does not "cut it out" to allow the Background to shine through as an alpha channel. See pics for clarity. I want to reverse this where the circle is cut out and the rest stays visible...
I want to cut (or copy) a section from an image on my artboard, but I can't see to find a way to do it. For example, in Microsoft paint I can use the select tool to draw a rectangle around part of the image and Copy or Cut that selection into the clipboard and paste it back.
I know I can cut this out and paste it onto an Artboard, but I am curious about the capability in Illustrator.
How do I fix gradients within an object so that they remain where they are when the object is cut using the intersect paths tool, instead of the gradient fill being redistributed to the new object?
Also, how do I use the colour picker tool to pick a discrete colour within an object filled within a gradient, rather than it selecting the whole gradient swatch?
I want to make the A shape as if it was composed from the grouped hexagons from B. the hexagons from B are grouped and the shape from A was made from two elipses and function Minus Front prom pathfinder.
I've tried all the functions from pathfinder in all ways but some don't give a result(I don't need explanation for this) and some do not work as I wish.
I have a curved path. I want to add on to this path with another curve. I know how to make another curved line, but I don't know how to make it to where the final product (when both the paths are connected) nice and smooth. Currently I'm having to try and do it by eye (I'm trying to make it as smooth as possible by looking at the first path and making the curve on the second path as close as I can).
why is this happening, curved lines in Illustrator CS6 are not smooth. Running Ill-CS6 on Win7 machine.No matter how much you zoom in or out lines just don't look right.
I need to divide a shape, say ellipse or similar, into 1 or 2 parts and then color the parts different colors and stroke the borders of each part. I don't want to cut the shape up, just keep it as a multi-colored object.I've tried scissors and similar tools but they cut and this is not what I want.
Is there a fast and simple way to make a straight path curved? I'm a FreeHand convert, and with it you could hold down the option key, click and drag the straight path (line) into a curve and control it fairly well.